%define	module	Log-Log4perl
%define	name	perl-%{module}
%define version 1.04
%define release %mkrel 1

Summary:	Log4j implementation for Perl
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}
Source0:	http://search.cpan.org/CPAN/authors/id/M/MS/MSCHILLI/%{module}-%{version}.tar.bz2
Requires:	perl-Log-Dispatch >= 2.00
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:	perl-Log-Dispatch >= 2.00
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%define _requires_exceptions perl\(Log::Dispatch::FileRotate\)


%description
%{module} module for perl.  It provides a powerful logging API to your
application.  Log::Log4perl lets you remote-control and fine-tune the
logging behaviour of your system from the outside. It implements the
widely popular (Java-based) Log4j logging package in pure Perl.

%prep
%setup -q -n %{module}-%{version}
find lib -type f -exec chmod 644 {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean 
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes LICENSE README xml eg
%{perl_vendorlib}/Log
%{_mandir}/man3/*

%changelog
* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdk
- New release 1.04

* Sun Mar 05 2006 Michael Scherer <misc@mandriva.org> 1.03-2mdk
- add Requires exception, to break dependencies loop, to fix bug #19365 

* Fri Feb 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdk
- New release 1.03

* Tue Dec 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdk
- New release 1.02
- %%mkrel

* Tue Oct 04 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdk
- New release 1.01
- drop requires exceptions
- don't ship tests in doc

* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-1mdk
- New release 1.00

* Tue Jan 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.51-1mdk
- 0.51
- Update BuildRequires
- Enable tests

* Sat Jul 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.47-1mdk
- 0.47

* Sat Jun 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.46-1mdk
- 0.46

* Fri Jun 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.45-1mdk
- 0.45

* Mon May 17 2004 Michael Scherer <misc@mandrake.org> 0.44-1mdk
- New release 0.44
- rpmbuildupdate aware

* Wed Jan 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.30-4mdk
- rebuild
- remove dependencies on perl(devel) modules

* Fri Aug  1 2003 Ben Reser <ben@reser.org> 0.30-3mdk
- Forgot destdir on %%makeinstall

* Fri Aug  1 2003 Ben Reser <ben@reser.org> 0.30-2mdk
- Fix install with new perl
- Fix man path
- Macroification
- Macroize perllocal.pod removal


* Fri May 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.30-1mdk
- from Peter Chen <petechen@netilla.com> :
	- Initial packaging.
